[Pkg-sysvinit-commits] r151 -
sysvinit/trunk/debian/initscripts/etc/init.d
Thomas Hood
jdthood-guest at costa.debian.org
Sat Nov 19 00:44:15 UTC 2005
Author: jdthood-guest
Date: 2005-11-19 00:44:15 +0000 (Sat, 19 Nov 2005)
New Revision: 151
Modified:
sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh
sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
Log:
Improve messages
Modified: sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh 2005-11-18 23:05:10 UTC (rev 150)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh 2005-11-19 00:44:15 UTC (rev 151)
@@ -23,8 +23,8 @@
if [ -x /usr/bin/on_ac_power ]; then
/usr/bin/on_ac_power >/dev/null 2>&1
if [ $? -eq 1 ]; then
- log_success_msg "On battery, not fscking!"
- ac=no
+ log_success_msg "On battery, not fscking!"
+ ac=no
fi
fi
@@ -54,13 +54,12 @@
fsck $spinner -T -R -A $fix $force
if [ $? -gt 1 ]
then
- log_failure_msg "fsck failed. Please repair manually."
- log_failure_msg ""
+ log_failure_msg "File system check failed. Please repair manually."
log_success_msg "CONTROL-D will exit from this shell and continue system startup."
# Start a single user shell on the console
/sbin/sulogin $CONSOLE
else
- [ "$VERBOSE" != no ] && log_action_msg "Done checking file systems"
+ [ "$VERBOSE" != no ] && log_success_msg "Done checking file systems"
fi
fi
rm -f /fastboot /forcefsck
Modified: sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh 2005-11-18 23:05:10 UTC (rev 150)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh 2005-11-19 00:44:15 UTC (rev 151)
@@ -179,7 +179,6 @@
log_failure_msg "or there is no entry for the root filesystem listed in /etc/fstab."
log_failure_msg "The system is also unable to create a temporary node in /dev/shm."
log_failure_msg "This means you have to fix the problem manually."
- log_failure_msg ""
log_failure_msg "CONTROL-D will exit from this shell and REBOOT the system."
# Start a single user shell on the console
/sbin/sulogin $CONSOLE
@@ -260,7 +259,11 @@
fi
log_action_msg "Will now check root file system"
fsck $spinner $force $fix -T -t $roottype $rootdev
- log_action_msg "Done checking root file system"
+ if [ "$?" = 0 ]
+ log_success_msg "Done checking root file system"
+ then
+ log_failure_msg "Done checking root file system"
+ fi
FSCKCODE=$?
fi
@@ -279,13 +282,11 @@
log_failure_msg "An automatic file system check of the root filesystem failed."
log_failure_msg "A manual fsck must be performed, then the system rebooted."
log_failure_msg "This fsck can be performed in maintenance mode."
- log_failure_msg ""
log_failure_msg "Please note that the root filesystem is currently mounted read-only."
log_failure_msg "The fsck should only be performed while the root filesystem is "
log_failure_msg "mounted read-only. However, the command to remount it read-write "
log_failure_msg "is:"
log_failure_msg " # mount -n -o remount,rw /"
- log_failure_msg ""
log_failure_msg "In order to exit from the maintenance shell, press CONTROL-D"
log_failure_msg "and the system will REBOOT."
# Start a single user shell on the console
@@ -295,7 +296,6 @@
then
log_failure_msg "The file system check program corrected errors on the root partition,"
log_failure_msg "but requested that the system be rebooted (exit code $FSCKCODE)."
- log_failure_msg ""
log_failure_msg "Automatic reboot in 5 seconds."
sleep 5
reboot -f
More information about the Pkg-sysvinit-commits
mailing list